*** Post 1.7.4 Issues In Here ***

Problems with the Windows version of XAMPP, questions, comments, and anything related.

*** Post 1.7.4 Issues In Here ***

Postby Sharley » 29. January 2011 13:02

My first impressions give this release a thumbs down, though the upgraded components are well received, the quality of the integration has deteriorated back to it's pre Wiedmann developed versions 1.7.3/1.7.2 state of "I hope you know what you are doing". :shock:

I have not had time to go too deep into the engine yet but what I see at first glance is the 1.7.4 version is like stepping back in time a couple of years.

My second impression is that this 1.7.4 release is a total shambles and the lead developer should not have allowed this to be released in this broken state - the forums are already filling up with reports of broken content, the latest being Tomcat and so I advise not to install this version or 'downgrade' to this version unless you absolutely require the latest component versions.


To get an indication of what's in and what's out try and compare the readme_en.txt files of 1.7.3 and 1.7.4 versions and don't be surprised if you think you have become a time traveler just arriving back at the year 2008.

----------------------------------------

1. If you download the 7z (7zip) or the zip archive versions
readme-en.txt file wrote:Please do not use the "setup_xampp.bat" for an USB stick installation!
we are now back to this from being able to do that among other useful things in Wiedmann's setup_xammp.bat file.


2. No installing on a drive on your PC as a portable app. like you could with 1.7.3.


3. No port checker in 1.7.4 !!! :shock:
Use CurrPorts Utility that was the underlying app used in the xampp-portcheck.exe file:
http://www.nirsoft.net/utils/cports.html

Or, copy the xampp-portcheck.exe from your 1.7.3 version to a temp folder then into the 1.7.4 folder after installation.
Works for me. :)

In fact I would not uninstall 1.7.3 but simply rename the folder to xampp173 and run the setup-xampp.bat file to relocate the installation. You will have the best of both worlds then.


4. The MySQL Admin button in the XAMPP Control Panel in 1.7.4 has been disabled.

In earlier versions it used to point to MySQLAdmin with often disastrous results and many support request - so it is back in the earlier version state of being made useless.

In 1.7.3 the MySQL Admin button used to open phpMyAdmin the preferred GUI for MySQL but alas no more - you will have to open it manually by typing http://localhost/phpmyadmin.


5. The New XAMPP security concept section in the apache\conf\extra\httpd-xampp.conf file has be changed and will now only allow access to the XAMPP files and folders from the local loop back address 127.0.0.1 - this will cause issues for those of you on a LAN and/or using local IPv6 addresses.

Again it would be possible to copy the section from a 1.7.3 httpd-xampp.conf and replace the entry in the 1.7.4 httpd-xampp.conf file to allow access from the LAN and/or local IPv6 addresses.

The Windows HOST file will have to include the entry 127.0.0.1 localhost or the IPv6 entry and requires checking for this manually as the setup-xampp.bat file no longer sets these values.


6. Most of the issues that were solved in 1.7.3 are back like those that were evident pre 1.7.3/1.7.2 releases - thanks Wiedmann.


7. No eaccelerator as it has been accidentally omitted. :roll:


8. There are no bells and whistles in the setup_xampp.bat file like there was in the copyright source code of the 1.7.3 version.


9. Tomcat is broken and will give an error when trying to start it as per the readme-en.txt file.


10. In this release MSMTP has gone and in it's place is the 2008 version of fake sendmail, so this alone will create the old issues to return here especially is you decide to downgrade to this 1.7.4 version.

You may be able to install and use MSMTP if you wish, info from this link:
http://msmtp.sourceforge.net/index.html


11. There is no Zend Optimizer as mentioned in the readme_en.txt file, is there even a Z O for php 5.3x yet?:


-----------------------------------------

If you want to add more retrograde differences here in this open topic then please feel free.

If you find any improvements you like then they too could be posted here - I don't expect many except for the component version upgrade improvements. :wink:

1. There are 3 source code folders in the \xampp\src folder that will please the XAMPP Control Panel hackers. :wink:


All I can see now is a massive increase in support issues in these forums from people who are stepping up from 1.7.3 and older versions to this 1.7.4 version plus the many absolute new users who come across the old issues - advanced forum searching will now become an absolute must do, as there are many solutions for the older issues already recorded and will relieve the expected and inevitable work load on our forum voluntary support providers.


It seems obvious that when developer and forum moderator Carsten Wiedmann left the XAMPP playground he took his new ball with him and now we are left to play with only the now shabby and well worn old one. :roll:

Or as we say here locally, "he childishly spat the dummy". :wink:

This 1.7.4 version is the result of allowing developers of open source offerings to slip in their own closed and copyright source content, then leave and take the source code and files away with them - it's akin to someone taking out the bottom card of a stack you just spent hours building, only to have them all come crashing down in a heap. :D
Last edited by Sharley on 01. February 2011 01:16, edited 1 time in total.
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
XAMPP Version: 5.6.3
Operating System: Win 7 Pro 32bit/XP Pro SP3

Re: *** 1.7.4 First Impressions (YUK!) ***

Postby ridgewood » 29. January 2011 17:55

Sharley wrote:don't be surprised if you think you have become a time traveler just arriving back at the year 2008.


It has probably been that long since I have commented on this board... I get the RSS announcements of the new releases and I download and check out the new release but have not really had to upgrade my v. 1.6.8 ( perhaps because I have over 20 installations running with 4 different porting configurations on 6 systems) to develop WordPress and custom photo-galleries. I have worked with XAMPP since v. 1.3 (72,627 downloads) settled on 1.68 (1,654,068 downloads) and see that v. 1.7.3 has almost 7 million ... and it looks like it has fallen to almost zero with the release of 1.74.

My quick take on 1.7.4 is ...someone will have to 'know what they are doing' because this version reflects the massive changes that have taken place on the web in the last 2 years and the complexity that has become inherent with it. It may well be that if someone does not have the skills to build their own stack, they will not be able to maintain this stack already built for them. My impression is that if one needs to upgrade to 1.7.4 because of some new specification, one would simply reconfigure their stack with the new module.

I can see the challenges that the dev's had with the setup scripts and such... so I am not sure how appropriate it is to lay the 'blame' at the their feet. Since you are into local...
Sharley wrote:Or as we say here locally, "he childishly spat the dummy"
here we might say that it was like "getting a duck and goose to mate!"

It may well be that the v. numbering is off... this might be more of a 2.x or a 1.8.x but the biggest problem is: + Only 32 Bit (NOT for 64 bit systems) ... with Win7 and most new systems being 64 bit, this version becomes a non-starter. THIS should be upfront in the download section and the announcement. Also, I could not find a 'lite' version... and the full version is up to 350mg's without any content... even with 8 gig sticks, it is getting pretty big.

Anyhow, I will configure a 1.7.3 and test it out. It may be the 'benchmark' or 'high water mark' ... the end of an era but I have to say... compared to 1.3, this release is far from a 'shambles'... it is just not for a 'hobbyist' or 'click and play' student. Maybe they should call it 'XAMPP-PRO' :?
ridgewood
 
Posts: 57
Joined: 10. January 2005 22:02

Re: *** 1.7.4 First Impressions (YUK!) ***

Postby Sharley » 30. January 2011 00:03

@ ridgewood - good to see you back. :)

I also still use 1.6.8 as my main local development release for pretty much the same reasons as you but I also have installed releases from 1.6.3a to 1.7.4 for testing purposes when there are issues here on the forum and for release content comparisons.


For readers in general and to continue from my first post, this may cause some concern in 2011 for those millions of 64 bit users and Windows 7 users.

-----------------------------------

12. This from the readme_en.txt file in the 1.7.4 release but not yet displayed on the home page you download the XAMPP for Windows 1.7.4 release files from.

Also, still a broken link to the 1.7.4 README file which still shows the readme_en.txt file from version 1.7.3 after reporting it to the web site developer and lead XAMPP developer over a week ago - what is happening with XAMPP's quality control?. :roll:
readme_en.txt file wrote:* System Requirements:

+ 64 MB RAM (RECOMMENDED)
+ 350 MB free fixed disk
+ Windows NT, 2000, 2003, XP (RECOMMENDED), VISTA
+ Only 32 Bit (NOT for 64 bit systems)

------------------------------------

For help with Tomcat issue please read this topic:
viewtopic.php?f=16&t=44313

Good luck with 1.7.4. :wink:
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
XAMPP Version: 5.6.3
Operating System: Win 7 Pro 32bit/XP Pro SP3

Re: *** 1.7.4 First Impressions (YUK!) ***

Postby Sharley » 30. January 2011 07:20

Two more to add to the growing list of issues with 1.7.4 and so I continue and will keep adding new posts to this topic as I find them.

---------------------------------------

13. mod_perl is enabled by default and no way of changing it using the setup_xampp.bat file.

See this post for disabling it manually:
viewtopic.php?p=173024#p173024


14. You will have to make sure that the first line in your perl scripts (shebang) has the full path to perl, for example
Code: Select all
#!"C:\xampp\perl\bin\perl.exe"

In the xampp\htdocs\xampp folder there are 2 files perl.pl and perlinfo.pl that may not have the correct full path to perl as the setup-xampp.bat file does not change these file's shebang.

For example in my 2 files perl.pl did not have a shebang, so it had to be added.

...and perlinfo.pl had
Code: Select all
#!"/xampp/perl/bin/perl.exe"
which when trying to open the perlinfo() link in the XAMPP Control Panel gave an error and in the error.log file looked like this
Code: Select all
[Sun Jan 30 15:29:40 2011] [error] [client 127.0.0.1] (OS 3)The system cannot find the path specified.  : couldn't create child process: 720003: perlinfo.pl
[Sun Jan 30 15:29:40 2011] [error] [client 127.0.0.1] (OS 3)The system cannot find the path specified.  : couldn't spawn child process: C:/xampp/htdocs/xampp/perlinfo.pl
[Sun Jan 30 15:47:54 2011] [error] [client 127.0.0.1] C:/xampp/cgi-bin/perl.pl is not executable; ensure interpreted scripts have "#!" first line
[Sun Jan 30 15:47:54 2011] [error] [client 127.0.0.1] (9)Bad file descriptor: don't know how to spawn child process: C:/xampp/cgi-bin/perl.pl
I changed the shebang and both files loaded just fine.


EDIT
The correction to the existing default shebang will only need to be carried out if you installed XAMPP to a folder in the root of a drive or partition with a name other that xampp, for example C:\xampp174 - see this post for more details:
viewtopic.php?p=173536#p173536.

------------------------------------


Good luck. :)
Last edited by Sharley on 05. February 2011 04:12, edited 2 times in total.
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
XAMPP Version: 5.6.3
Operating System: Win 7 Pro 32bit/XP Pro SP3

Re: *** 1.7.4 First Impressions (YUK!) ***

Postby justusrambaldi » 30. January 2011 19:49

GO-PEAR.BAT continue DO NOT WORK!!!
If you need install PEAR with this, you don´t install nothing.

I need use command line PHP phar.require_hash=0 PEAR/go-pear.phar and I receive errors too. It´s impossible install PEAR.

Accidentally I try use the pear command and for my surprise the command work. with some errors, but many packs I succeed install fine, others envoy errors, CURL extension is not disponible by default, and to Pear work these extension need be configurated.

But I don´t know how many enviroment variables we need create and configure, for these comand line inside the PHP work fine.
What and Where we need modify in PHP.ini to work fine for the developers, one example of this:

Trying intall the APC from Pecl, I receive an error : PHP_BIN has .exe extension not match wif PHP_SUFFIX ???? and don´t install the extension package.

my doubt is PHP_PEAR_PHP_BIN value is C:\Xampp\PHP or I need fill with C:\Xampp\PHP\php.exe and the variable PHP_BIN ??? because this error is related with the value of these enviroment variables, and both use the reference PHP_BIN

Where I can find a PHP_APC.DLL compatible with XAMPP 1.7.4 version??? I try 5 downloads and none works. Someone has compiled in windows, can dispose to us for download.

I install XAMPP in USB PENDRIVE and Work Fine, But I don´t know how the PEAR enviroment variables can work in a Pendrive, occupied 700MB of space, the user will need install manually, or built a bat file with the SET command to create appointing to the drive letter used by the Pendrive, if pretend use PEAR, PECL command.
justusrambaldi
 
Posts: 1
Joined: 29. January 2011 05:25

Re: *** 1.7.4 First Impressions (YUK!) ***

Postby Sharley » 31. January 2011 12:36

I don't understand much of the rest of your post but this I may have a solution for.
Where I can find a PHP_APC.DLL compatible with XAMPP 1.7.4 version???
Do you still have the 1.7.3 version file on your PC?

If not get it from the source forge repository:
http://sourceforge.net/projects/xampp/files/XAMPP Windows/

You can open the archive with WinRAR or 7zip and locate the php_apc.dll and that should be compatible with php version 5.3x.

Good luck.
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
XAMPP Version: 5.6.3
Operating System: Win 7 Pro 32bit/XP Pro SP3

Re: *** Post 1.7.4 Issues In Here ***

Postby Sharley » 01. February 2011 01:21

I have just changed the topic title in hope that members will post their 1.7.4 issues in here so that they can all be kept together, also in hope the 1.7.4 developer can see, evaluate and perhaps respond to them all in the one place.

Thanks and good luck with the 1.7.4 release.
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
XAMPP Version: 5.6.3
Operating System: Win 7 Pro 32bit/XP Pro SP3

Re: *** Post 1.7.4 Issues In Here ***

Postby Altrea » 01. February 2011 06:36

Hi Sharley,

thank you for the good work.
Maybe it is a good idea to edit the very first post to have all issues at a single place?
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 6609
Joined: 17. August 2009 13:05
XAMPP Version: 5.5.19
Operating System: W7Ux64

Re: *** Post 1.7.4 Issues In Here ***

Postby BertMul » 01. February 2011 13:04

OOPS !
I just broke the olympic record reverting back to 1.7.3.

I never realised that someone would ever (consider to) remove features from XAMPP.

I have several apps running on a XAMPP server. 4 of them need to connect to a Microsoft SQL server.
Unfortunately, the ability to interact with a Microsoft SQL database (as it was available in 1.7.3) seems to have been carefully removed from 1.7.4.
The missing files are:
\xampp\apache\bin\ntwdblib.dll
\xampp\php\ext\php_mssql.dll
\xampp\php\ext\php_pdo_mssql.dll

I also have 2 Joomla! 1.5.22 installations, and they both do not run on XAMPP 1.7.4.
They both don't work after I migrated to XAMPP 1.7.4.

I also have a XAMPP installation that I carry with me on a portable USB disk, and in addition to the above, I also have a problem with the FileZilla FTP server.
FileZilla 0.9.33.0 that comes with XAMPP 1.7.3 can just be started from the XAMPP control panel.
When I try to start FileZilla FTP 0.9.37.0 that comes with XAMPP 1.7.4, it tells me that is has ro run as a service (which I obviously don't want on a poratble installation)

And talking about FileZilla, I noticed that the executable for that server can be found twice in XAMPP 1.7.4, one time with, and one time without a space in the filename:
\xampp\FileZillaFTP\FileZilla server.exe
\xampp\FileZillaFTP\FileZillaServer.exe
Both files are exactly the same, and looking at the file properties shows that the original filename is "FileZilla Server.EXE"

After finding that none of my apps worked anymore in XAMPP 1.7.4, I decided to go back to 1.7.3 and not to bother trying 1.7.4 anymore.
I guess I will just have to skip this version, as it seems to be crippled to such an extent that is not usable for me anymore.

It seems to me that the team did not give this release as much thought and careful consideration as they did with the 1.7.3 release.

I will just wait and see if a newer version will solve the issues, and should I need to upgrade before that happens, I may need to look at another product.
It feels really bad having to say this after being so enthousiastic and "begeistert" about the previous version.

Hopefully we will see a 1.7.4a version soon to fix the issues.
:cry:
BertMul
 
Posts: 5
Joined: 12. January 2010 11:39

Re: *** Post 1.7.4 Issues In Here ***

Postby Sharley » 02. February 2011 03:40

Finally the readme_en.txt file link on the XAMPP for Windows Hope Page at Apache Friends web site has been replaced with the current 1.7.4 version - that took 1 week after reporting it was using the wrong 1.7.3 version readme file. :roll:
http://www.apachefriends.org/winxampp/readme_en.txt


Could members please post their 1.7.4 issues in here, as of this post I may not respond to 1.7.4 issues in new topics posted other than this - for a while at least, as this behavior bumps the topic to the top of the list where hopefully it will be easier for readers to find it.


Remember that Win7 and 64 bit OSs are not supported in this 1.7.4 release (yet).
* System Requirements:

+ 64 MB RAM (RECOMMENDED)
+ 350 MB free fixed disk
+ Windows NT, 2000, 2003, XP (RECOMMENDED), VISTA
+ Only 32 Bit (NOT for 64 bit systems)


Thanks and good luck with the 1.7.4 release. :)
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
XAMPP Version: 5.6.3
Operating System: Win 7 Pro 32bit/XP Pro SP3

Re: *** Post 1.7.4 Issues In Here ***

Postby cb » 02. February 2011 04:50

The Mercury mail has actually reverted to v4.6 instead of the documented version v4.72

The cd collection export to pdf document does not work - the php files appear to have reverted back to 2007 versions

I've reverted back to Xampp 1.7.3 (and manually updated phpMyAdmin to 3.3.9) until the version control issues have been sorted out - hopefully soon!
cb
cb
 
Posts: 14
Joined: 11. June 2008 22:48

Re: *** Post 1.7.4 Issues In Here ***

Postby punzzer » 02. February 2011 10:37

i'm waiting for 64-bit version :|
User avatar
punzzer
 
Posts: 1
Joined: 02. February 2011 10:33

Re: *** Post 1.7.4 Issues In Here ***

Postby Sharley » 03. February 2011 00:58

punzzer wrote:i'm waiting for 64-bit version :|
Some people have had success using Windows 7 64 bit with 1.7.4 as the readme_en.txt file simply says it is not supported not that it won't work.

So give it a try but don't get rid of 1.7.3 - just rename the 1.7.3 xampp folder temporarily, for example xampp173, until you have 1.7.4 working as it should.

If 1.7.4 does not perform to your liking then simply delete the 1.7.4 xampp folder after stopping all component apps and uninstalling any XAMPP services you may have installed in 1.7.4, then you can rename the xampp173 folder back to xampp to get you back to where you started from.

Good luck.
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
XAMPP Version: 5.6.3
Operating System: Win 7 Pro 32bit/XP Pro SP3

Re: *** Post 1.7.4 Issues In Here ***

Postby Sharley » 05. February 2011 03:15

On the XAMPP Welcome Demo Page the link to the demo Guest Book under the sub heading Perl will give a server 500 error if you have not installed XAMPP to the default location of C:\xampp - for this example I have used the drive and folder G:\xampp174 for my XAMPP installation.

In XAMPP 1.7.3 these paths were corrected by the setup-xampp.bat file but alas no more.


So to correct this if you have installed XAMPP to anywhere other than the root of a drive or portion and to a folder named other than xampp, for example to G:\xampp174, then open in a text editor and change the first line of
G:\xampp174\htdocs\xampp\guestbook-en.pl
to the full path to perl like this:
Code: Select all
#!"G:\xampp174\perl\bin\perl.exe"
then save the file and click on the link once more and the Guest Book should now be seen.
(Change the guestbook-* pl file of your own language just the same way and change the path to perl.exe to suit your own XAMPP installation path).


All *.pl files and *.cgi files included in the XAMPP installation would also need to be corrected in much the same way.

Best wishes.
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
XAMPP Version: 5.6.3
Operating System: Win 7 Pro 32bit/XP Pro SP3

Re: *** Post 1.7.4 Issues In Here ***

Postby WilliL » 05. February 2011 15:14

Sharley wrote:On the XAMPP Welcome Demo Page the link to the demo Guest Book under the sub heading Perl will give a server 500 error if you have not installed XAMPP to the default location of C:\xampp - for this example I have used the drive and folder G:\xampp174 for my XAMPP installation.

I installed on C:\xampp174 and guestbook works fine..
When I remember right, I used the installer version.
(xp home sp3)
Willi
WilliL
 
Posts: 623
Joined: 08. January 2010 10:54
XAMPP Version: 5.5.19
Operating System: Win7Home Prem 64 SP1

Next

Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 61 guests